Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2566 - radius accounting does not send "Stop" packets
Summary: radius accounting does not send "Stop" packets
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: pam
Version: 5.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-05 10:44 UTC by Ion Badulescu
Modified: 2007-04-18 16:22 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-05-19 15:57:00 UTC


Attachments (Terms of Use)

Description Ion Badulescu 1999-05-05 10:44:34 UTC
Tested with pppd. It appears that somehow the contents of
the global static variables hostname and secret are lost
after the "Start" packet is sent. Not sure if the bug is in
pam or in pwdb.

Comment 1 Stephen John Smoogen 2003-01-24 16:40:19 UTC
There have been massive changes in PPP, kernel, and radius code since 5.2. Is
this still a problem, or is there a possible test plan that can be put up for
duplication of this problem?

Comment 2 Ion Badulescu 2003-01-24 18:49:27 UTC
Quite frankly, this bug was opened 2 jobs and almost 4 years ago, I don't even 
have the enviroment anymore to test if it was fixed or not.

If I remember correctly, the pam_radius session module was sending only 
Accounting-Start messages, not Accounting-Stop, so it was rather useless. It 
seems to have been removed completely from pam in rh73, so perhaps it's not 
worrying about it anymore.


Comment 3 Ion Badulescu 2004-05-19 15:57:00 UTC
Ancient stuff, closing up report.


Note You need to log in before you can comment on or make changes to this bug.